summaryrefslogtreecommitdiff
path: root/Master/texmf-dist/web2c/mktexdir
diff options
context:
space:
mode:
Diffstat (limited to 'Master/texmf-dist/web2c/mktexdir')
-rwxr-xr-xMaster/texmf-dist/web2c/mktexdir54
1 files changed, 54 insertions, 0 deletions
diff --git a/Master/texmf-dist/web2c/mktexdir b/Master/texmf-dist/web2c/mktexdir
new file mode 100755
index 00000000000..e9c2100d879
--- /dev/null
+++ b/Master/texmf-dist/web2c/mktexdir
@@ -0,0 +1,54 @@
+#!/bin/sh
+# mkinstalldirs (now mktexdir) -- make directory hierarchy.
+# Author: Noah Friedman <friedman@prep.ai.mit.edu>, created: 1993-05-16.
+# Public domain.
+#
+# Modified for sticky directory creation, --help, --version, more,
+# by Thomas Esser, Karl Berry, Olaf Weber, et al.
+
+version='$Id: mktexdir 18383 2010-05-20 18:31:24Z karl $'
+usage="Usage: $0 DIRS...
+ Create each DIR, including any missing leading directories."
+mt_max_args=$#
+
+# Common code for all scripts.
+: ${MT_TEXMFMAIN=`kpsewhich --expand-path='$TEXMFMAIN'`}
+: ${MT_MKTEX_OPT=`kpsewhich --format='web2c files' mktex.opt`}
+test -n "$MT_MKTEX_OPT" || MT_MKTEX_OPT="$MT_TEXMFMAIN/web2c/mktex.opt"
+if test ! -f "$MT_MKTEX_OPT"; then
+ echo "$0: Cannot find mktex.opt; check your installation." >&2
+ exit 1
+fi
+
+. "$MT_MKTEX_OPT"
+
+test -n "$MT_MKTEXDIR_OPT" && . "$MT_MKTEXDIR_OPT"
+
+test -z "$MT_APPEND_MASK" && MT_APPEND_MASK="="
+
+errstatus=0
+
+for file
+do
+ case $file in
+ /*) cd /;;
+ *) cd $KPSE_DOT;;
+ esac
+ OLDIFS=$IFS; IFS=/; set fnord `echo "./$file"`; IFS=$OLDIFS; shift
+
+ pathcomp=
+ for d
+ do
+ test -z "$d" && continue
+ pathcomp="$pathcomp$d"
+
+ if test ! -d "./$pathcomp"; then
+ mkdir "./$pathcomp" || { errstatus=$?; break; }
+ chmod `kpsestat ${MT_APPEND_MASK} "$pathcomp"/..` "./$pathcomp"
+ fi
+
+ pathcomp="$pathcomp/"
+ done
+done
+
+exit $errstatus